Queries and Operations
Query accounts, balances, batches, transactions and more in a simple way, obtaining detailed information through our available tools.
Production:
https://api.payouts.wompi.co/v1
Sandbox: All endpoints are available in sandbox environment
https://api.sandbox.payouts.wompi.co/v1
Query Banks
The endpoint URL to query banks is:
GET /banks
Query Accounts and Balance
The endpoint URL to query the balances of available accounts is:
GET /accounts
In the query response, within the details of each account, the balanceInCents field refers to the available balance in the account, expressed in cents. The last two digits are the cents.
Records can be filtered by sending optional query params (URL parameters) in the request:
bankCodes: Bank codes, one or more codes separated by commas. For example:BANCOLOMBIA,BANCO_BOGOTA.status: Account status. One of the following values must be sent:IN_REVIEW,ACTIVE,INACTIVE.
In the sandbox environment, real bank accounts are not used. The system automatically generates test accounts to simulate payments.
Query Limits
The endpoint URL to query limits is:
GET /limits
In the query response, within the details of each account, the dailyLimit field refers to the daily limit, expressed in cents. The last two digits are the cents.
Query Batches
The endpoint URL to query all batches is:
GET /payouts
Records can be filtered by sending optional query params (URL parameters) in the request:
status: Batch status, one or more statuses separated by commas. For example:PENDING,REJECTED. Possible values are:PENDING,REJECTED,TOTAL_PAYMENT,PARTIAL_PAYMENT,PENDING_APPROVAL,NOT_APPROVED.fromDate: "Date from" which you want to filter, with the formatYYYY-MM-DD. For example,2024-01-01.toDate: "Date to" which you want to filter, with the formatYYYY-MM-DD. For example,2024-02-01.reference: Batch reference.id: Batch id.limit: Optional numeric value to limit the number of records to display.page: Optional numeric value to paginate records.
Query a Specific Batch
The endpoint URL to query a specific batch is:
GET /payouts/{payoutId}
Query Transactions of a Batch
The endpoint URL to query the transactions of a batch is:
GET /payouts/{payoutId}/transactions
Records can be filtered by sending optional query params (URL parameters) in the request:
status: Transaction status. One of the following values must be sent:PROCESSING,PENDING,APPROVED,FAILED,REJECTED.reference: Transaction reference.accountNumber: Account number.payeeName: Beneficiary name.limit: Optional numeric value to limit the number of records to display.page: Optional numeric value to paginate records.
Query a Specific Transaction of a Batch
The endpoint URL to query a specific transaction of a batch is:
GET /payouts/{payoutId}/transactions/{transactionId}
Query Transactions of a Batch by Reference
The endpoint URL to query the transactions of a batch by reference is:
GET /transactions/{reference}
Records can be filtered by sending optional query params (URL parameters) in the request:
status: Transaction status. One of the following values must be sent:PENDING,APPROVED,CANCELLED,FAILED.limit: Optional numeric value to limit the number of records to display.page: Optional numeric value to paginate records.
Query Reports
The endpoint URL to query reports is:
GET /reports/payouts
The query params (URL parameters) that must be sent in the request are:
periodicity: Report periodicity. It can be:daily,weekly,biweekly,monthly.reportType: Report type. It can be:payouts,transactions.limit: Optional numeric value to limit the number of records to display.page: Optional numeric value to paginate records.
Download Report
The endpoint URL to get the CSV of a report is:
GET /reports/presigned_url
The query params (URL parameters) that must be sent in the request are:
reportExecutionId: Report's_id.reportIntegration: Report type. It can bepayouts,merchant_reports.
Availability Monitoring
The endpoint URL to check the availability of internal services is:
GET /health
This endpoint allows checking the health status of the services that make up Third-Party Payments, such as users, payments, notifications, and afe-rules-engine.
The services are classified into two categories:
- Critical:
usersandpayments - Non-critical:
notificationsandafe-rules-engine
The response includes:
status: A general status of Third-Party Payments. It can take one of the following values:
HEALTHY: All services are operational.PARTIAL_OUTAGE: All critical services are operational, but at least one secondary service is experiencing disruptions.UNHEALTHY: At least one critical service is not operational.
services: List of monitored services. Each includes:
name: Service name.healthy: Indicates whether the service is available (true) or not (false).